Issue #1 new

Problems with zipruby and Zip::File.exists?

mezza
created an issue

I have a Ruby 1.9.2 application which requires both zipruby and rubyzip. The former seems to be the only way I can reliably manipulate XLSX documents without corrupting them, and the latter is required by dependencies such as 'roo'.

However both gems define Zip::File, and this creates problems with the .exists? method. I know that rubyzip required the replacement of ftools with fileutils in order to work with Ruby 1.9.

Is there a similar issue with zipruby?

Comments (1)

  1. Log in to comment